%define tarname	BlockCanvas
%define name 	python-enthought-blockcanvas
%define version 3.0.1
%define release %mkrel 	1

Summary: 	Enthought Tool Suite - BlockCanvas project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.lzma
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/block_canvas.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python-enthought-apptools >= 3.1.0
Requires:	python-enthought-chaco >= 3.0.1
Requires:	python-enthought-etsdevtools >= 3.0.1
Requires:	python-enthought-enthoughtbase >= 3.0.1
Requires:	python-enthought-scimath >= 3.0.2
Requires:	python-enthought-traitsbackendwx >= 3.0.3
Requires:	python-enthought-traitsgui >= 3.0.3
Requires:	python-enthought-traits >= 3.0.3
Requires:	python-numpy >= 1.1.0
Requires:	python-imaging
Requires:	python-docutils
Requires:	python-configobj
BuildRequires:	python-setuptools >= 0.6c8
%py_requires -d

%description
The BlockCanvas project provides a visual environment for creating
simulation experiments, where function and data are separated. Thus,
you can define your simulation algorithm by visually connecting
function blocks into a data flow network, and then run it with various
data sets (known as "contexts"); likewise, you can use the same
context in a different functional simulation.

The project provides support for plotting, function searching and
inspection, and optimization. It includes a stand-alone application
that demonstrates the block-canvas environment, but the same
functionality can be incorporated into other applications.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}

%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt 


%changelog
* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313503
- Update to 3.0.1.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298879
- import python-enthought-blockcanvas


